Ir para o conteúdo
Documentação do Endless

Create team

POST
/teams

Creates a team and returns the created row.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/teams" \  -H "Content-Type: application/json" \  -d '{    "organization_id": "string",    "name": "string"  }'
{  "team": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "organization_id": "string",    "name": "string",    "description": "string",    "color": "string",    "icon_url": "string",    "spending_limit": -2147483648,    "created_by_id": "string",    "deleted_at": "2019-08-24T14:15:22Z",    "deleted_by_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "dual_team_id": "string"  },  "memberships": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",      "user_id": "string",      "organization_id": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ]}